package com.javaranch.common ;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/** Contains a collection of static methods related to GUI's (AWT and Swing stuff). <p>

    
    - - - - - - - - - - - - - - - - - <p>
    
    Copyright (c) 1998-2000 Paul Wheaton <p>
    
    You are welcome to do whatever you want to with this source file provided
    that you maintain this comment fragment (between the dashed lines).
    Modify it, change the package name, change the class name ... personal or business 
    use ...  sell it, share it ... add a copyright for the portions you add ... <p>
    
    My goal in giving this away and maintaining the copyright is to hopefully direct 
    developers back to JavaRanch. <p>
    
    The original source can be found at <a href=http://www.javaranch.com>JavaRanch</a> <p>
    
    - - - - - - - - - - - - - - - - - <p>

    @author Paul Wheaton
*/

public class GUI extends AWT
{

    // make sure no one instantiates this class
    private GUI(){}

    /** A convenience function that makes a JMenuItem out of some text and adds an ActionListener to the item. <p>

        @param m A JMenu object to add the new JMenuItem to. <p>
        @param desc The text of the new menu item. <p>
        @param listener The action listener that will want to be notified when this item is selected. <p>
        @return The new JMenuItem. <p>
    */
    public static JMenuItem addMenuItem( JMenu m , String desc , ActionListener listener )
    {
        JMenuItem mi = new JMenuItem( desc );
        mi.addActionListener( listener );
        m.add( mi );
        return mi ;
    }

    /** A convenience function that adds an ActionListener to a JMenuItem and adds the item to a JMenu. <p>

        @param m A JMenu object to add the JMenuItem to. <p>
        @param mi The JMenuItem. <p>
        @param listener The action listener that will want to be notified when this item is selected. <p>
        @return The JMenuItem. <p>
    */
    public static JMenuItem addMenuItem( JMenu m , JMenuItem mi , ActionListener listener )
    {
        mi.addActionListener( listener );
        m.add( mi );
        return mi ;
    }

}



